ARIA_S3_COPY(1)

NAME
aria_s3_copy - Copy an Aria table to and from s3

DESCRIPTION
Usage: aria_s3_copy --aws-access-key=# --aws-secret-access-key=# --aws-region=# --op=(from_s3 | to_s3 | delete_from_s3) [OPTIONS] tables[.MAI]

-?, -h, --help
    Display help and exit.

-k, --s3-access-key=name
    AWS access key ID

-r, -s3-region=name
    AWS region

-K, -s3-secret-key=name
    AWS secret access key ID

-b, -s3-bucket=name
    AWS prefix for tables

-h, -s3-host-name=name
    Host name to S3 provider

-c, -compress
    Use compression

-o, -op=name
    Operation to execute. One of 'from_s3', 'to_s3' or 'delete_from_s3'

-d, -database=name
    Database for copied table (second prefix). If not given, the directory of the table file is used

-B, -s3-block-size=#
    Block size for data/index blocks in s3

-L, -s3-protocol-version=name
    Protocol used to communication with S3. One of "Auto", "Amazon" or "Original".

-f, -force
    Force copy even if target exists

-V, -version
    Print version and exit.

--s3-debug
    Output debug log from marias3 to stdout

-v, --verbose
    Be verbose.

For more information, please refer to the MariaDB Knowledge Base page https://mariadb.com/kb/en/aria_s3_copy/